Subject: [PATCH v2 5/9] document: devicetree: bind pinconf with pin-single

From: [email-masked] (Tony Lindgren)
Date: Wed, 31 Oct 2012 17:25:07 -0700

* Haojian Zhuang <[email-masked]> [121031 15:53]:
> On Wed, Oct 31, 2012 at 11:26 PM, Stephen Warren <[email-masked]> wrote:
> >
> > But that tends to imply that adding support for generic pinconf into the
> > pinctrl-simple driver isnt' actually going to be useful for anyone. If
> > pinctrl-single only supports some part of your HW, how can you use it?
> > Or, do you intend to somehow make pinctrl-single support both the common
> > generic pinconf stuff, and somehow be extensible to support any
> > SoC-specific pin config fields?
> 
> I'm intend to make pinctrl-single to support both the common generic pinconf
> stuff and any SoC-specific pinconf. I'll try to handle it. But they
> won't be included
> in V3.

The easiest way to support generic pinconf in pinctrl-single.c
is to set up a separate driver instance for the register ranges
that need it. Otherwise things can get messy.

Regards,

Tony